Commit 6f706ed6 authored by Vlad Zahorodnii's avatar Vlad Zahorodnii
Browse files

Bump required C++ version to C++17

Bump the required C++ version to C++17, similar to other Plasma
projects. This opens us things such as std::optional, etc.
parent 58eff400
Pipeline #52002 passed with stage
in 7 minutes and 40 seconds
......@@ -8,7 +8,7 @@ set(WAYLAND_MIN_VERSION "1.15")
project(KWaylandServer VERSION ${PROJECT_VERSION})
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
# ECM setup
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment